# Update

Alpm hooks for the pacman package manager.<br>
This project consists of two hooks, one for pre-transaction and the other for
post-transaction.

## Installation 

```bash
git clone https://gitea.hopeless-cloud.xyz/AustrianToast/update.git
cd update
```

Before installing, please edit the config and configure it to your liking.

Then install using
```bash
make install
```

If your require the previous functionality of being able to update flatpak and
having the ability to preview the updateable packages and flatpaks.<br>
This functionality has been re-packaged into `update.zsh`.<br>
If you use oh-my-zsh, then you just throw this file into your `$ZSH_CUSTOM`.<br>
This path is by default `~/.oh-my-zsh/custom`. If you use only plain zsh or any other
shell, then you can just take the contained functions and put them inside the
according shell config file. For example your `.bashrc`.

The function `flatpak-update` contains a variable called `BACKUP_LOCATION`.<br>
Please change this path to your desired backup location.

## Contributing  
Contributions are always welcome!
